@import url('https://fonts.googleapis.com/css?family=Roboto:400,700&display=swap');

*{
    font-family: 'Roboto', sans-serif;
}
body {
    overflow-x: hidden;
}

.main{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 35vh;
}

h1{
    font-weight: 600;
    font-family: Roboto;
    color: black;
}
.button-wrapper-section{
    display: flex;
    flex-direction:row;
    justify-content: center;
    align-items: center;
    gap: 24px;
    margin-bottom: 28px;
    margin-top: 72px;
}
.invoice-button{
    display: flex;
    flex-direction: row;
}
.invoice-button .button-primary{
    height: 45px;
    width: 125px;
    background: #F67280;
    border: 1px solid #F67280;
    border-radius: 10px;
    color: #fff;
    font-weight: 600;
}
.invoice-button .button-primary:hover{
    border: 1px solid #F67280;
    background: #e75458;
    color: #fff;
    font-weight: 600;
}
.return-button .button-secondary{
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    text-decoration: none;
    height: 45px;
    width: 95px;
    background: #fff;
    border: 1px solid #F67280;
    border-radius: 10px;
    color: #F67280;
    font-weight: 600;
}
.return-button .button-secondary:hover{
    background-color: #fff;
    color: #e75458;
    border: 1px solid #e75458;
    font-weight: 600;
}
.disabled-button .button-primary{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 45px;
    width: 100px;
    background: #E9EAF1;
    border: 1px solid #E9EAF1;
    border-radius: 10px;
    color: #fff;
    font-weight: 600;
    text-decoration: none;
}
small a{
    text-align: center;
    text-decoration: none;
    font-weight: 400;
    color: #000;
}
small a:hover{
    text-decoration: underline;
    color: #000;
}
span a{
    text-decoration: none;
    font-weight: 700;
    color: #000;
}
span a:hover{
    text-decoration: underline;
    color: #000;
}
.header-title{
    width: 659px;
    height: 56px;
    margin-top: 80px;
    margin-bottom: 30px;
    margin-left: 150px;
    font-style: normal;
    font-size: 49px;
    line-height: 90px;
}
.card-body{
    display:block ;
    margin: auto;
    overflow: visible;
}
.card-table {
    margin-top: 36px;
    padding: 50px ;
    width: 100%;
    height: auto;
    overflow: hidden;
    table-layout: auto;
    border-collapse: collapse;
    box-shadow: 5px 5px 10px 1px rgba(0,0,0,0.2);
    box-sizing: content-box;
    margin-left: 124px;
    justify-content: center;
    border-radius: 20px;
    margin-bottom: 30px;
    flex-wrap: wrap;
    -webkit-overflow-scrolling: touch;
    -ms-overflow-style: -ms-autohiding-scrollbar;
}
@media screen and (min-width: 780px) {
    .card-table {
        width: 841px;
        height: 450px;
        flex-direction: column;
    }

}
.btn-footer{
    margin-left: 150px;
}

/* modal*/
.bg-modal{
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.6);
    position: fixed;
    top: 0;
    left: 0;
    display: none;
    justify-content: center;
    align-items: center;
}
.modal-content{
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #fff;
    width: 463px;
    height: 668px;
    overflow: auto;
    position: absolute;
    /*top: 60px;*/
}
.card-modal{
    width: 100%;
    height: 100%;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    border: none;
}
.close{
    cursor: pointer;
    width: 10%;
    margin-top: 23px;
}
.modal-logo{
    margin: 0 0 14px 14px;
}
.modal-notif{
    background-color: #67AE5B;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 41px;
}
.modal-notif p{
    font-style: normal;
    font-weight: 700;
    font-size: 20px;
    line-height: 22px;
    text-align: center;
    margin-bottom: 0px;
    color: #F5F5F5;
}
.modal-detail-invoice{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    background-color: rgba(217, 217, 217, 0.7);
    height: 27px;
    margin-bottom: 31px;
}
.modal-detail-invoice p{
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 22px;
    margin-bottom: 0px;
    color: #000000;
}
.modal-messages{
    margin: 0 33px 0 33px;
}
.modal-messages h5{
    font-style: normal;
    font-weight: 600;
    font-size: 15px;
    line-height: 22px;
    color: #000000;
}
.modal-messages p{
    font-style: normal;
    font-weight: 400;
    font-size: 15px;
    line-height: 22px;
    margin-bottom: 15px;
    color: #000000;
}
.deskripsi-tanggal{
    display: flex;
    flex-direction: row;
    gap: 33px;
}
.detail-tanggal, .detail-waktu{
    display: flex;
    flex-direction: row;
    margin-bottom: 0px;
    gap: 9px;
}
.harga-tiket, .biaya-layanan, .total-harga{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
.detail-divider {
    margin: 15px 0 15px 0;
    border: 1px solid rgba(0, 0, 0, 0.5);
    transform: rotate(180deg);
    text-align: center;
}
.total-harga p{
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    line-height: 24px;
    /*margin-bottom: 33px;*/
    color: #000000;
}